// =============================================================================
//  Formatters
// =============================================================================

// Text Formatter classes set by CKEDITOR
.text-align-center {
  text-align: center;
}

.text-align-left {
  text-align: left;
}

.text-align-right {
  text-align: right;
}

.text-nowrap {
  white-space: nowrap;
}

// Heading modifiers
.has-subline{
  margin-bottom: 0;
}
.has-subline{
  h1, .h1,
  h2, .h2,
  h3, .h3,
  h4, .h4,
  h5, .h5{
    margin-bottom:0;
  }
}

// Text Stile
.subline {
  font-size: $small-font-size;
  line-height:1.2;
  margin-bottom: 1em;
}
.font-size-small {
  font-size: $small-font-size;
}

// =============================================================================
//  Text Colums
// =============================================================================

.text-columns,
[class*="text-columns--"] {
  column-gap: $grid-gutter;
}

.text-columns {
  &--2 {
    @include breakpoint(large) {
      columns: 2;
    }
  }

  &--3 {
    @include breakpoint(medium) {
      columns: 2;
    }


    @include breakpoint(large) {
      columns: 3;
    }
  }

  &--4 {
    @include breakpoint(small) {
      columns: 2;
    }


    @include breakpoint(medium) {
      columns: 3;
    }


    @include breakpoint(large) {
      columns: 4;
    }
  }
}

// =============================================================================
//  Misc
// =============================================================================

// Text selection color
::selection {
  background: $primary-color;
  color: $primary-color-text;
}
